import { Core } from './Core';
import { ConfigRecordInterface, BasicAuthParams } from './interfaces';
export interface DrupalConfig extends ConfigRecordInterface {
    auth?: BasicAuthParams;
    headers?: {
        [key: string]: any;
    };
    baseURL: string;
}
/**
 * Drupal.
 */
export declare class Drupal extends Core {
    constructor(config: DrupalConfig);
    initialize(options: DrupalConfig): Drupal;
}
